## Class TimesOp

    java.lang.Object
      |
      +--Operator
            |
            +--MulOp
                  |
                  +--TimesOp

public class TimesOp
extends MulOp

Constructor Summary
`TimesOp()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, Expr expr, boolean neg, de.dhbwstuttgart.typeinference.Menge paralist)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimesOp

    public TimesOp()

Method Detail

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        Expr expr,
                        boolean neg,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Operator`
    `JVMCodeException`